/*!
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 * 
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 * 
 * SPDX-License-Identifier: EPL-2.0
*/

#main-menu li .dropdown-menu {
  padding: 1rem 0;
  border-radius: 0.75rem;

  li:hover {
    margin: 0;
    padding-left: 3rem;
    padding-right: 3rem;
    background-color: darken(@white, 5%);
  }

  li {
    a:link,
    a:visited,
    a:hover,
    a:active {
      text-decoration: none; 
    }
  }

  &::before {
    display: none;
  }
}

.header-wrapper {
  box-shadow: 0 0 1rem 0 rgba(0, 0, 0, 0.2);
}

@media (min-width: @screen-sm-min) {
  // Only apply sticky navbar on desktop. Mobile users require the screen real
  // estate.
  .header-wrapper,
  .default-breadcrumbs {
    position: sticky;
  }

  // Keep the header at the top of the page.
  .header-wrapper {
    top: 0;
    z-index: 11;
  }
  
  // Keep the breadcrumbs below the header.
  .default-breadcrumbs {
    top: @header-height;
    z-index: 10;
  }

  :target {
    // All scrolling will have this offset to account for the sticky header.
    // The 6 rem is extra "padding".
    scroll-margin-top: calc(@header-height + 4rem);
  }
}
